SalesOS.

Custom Dashboards

User-created custom dashboards

Custom Dashboards Controller_find All

GET
/v1/custom-dashboards

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/custom-dashboards" \
  -H "Authorization: Bearer <token>"

Custom Dashboards Controller_create

POST
/v1/custom-dashboards

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/custom-dashboards" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Custom Dashboards Controller_get Widget Data

GET
/v1/custom-dashboards/widget-data

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/custom-dashboards/widget-data" \
  -H "Authorization: Bearer <token>"

Custom Dashboards Controller_find One

GET
/v1/custom-dashboards/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/custom-dashboards/<string>" \
  -H "Authorization: Bearer <token>"

Custom Dashboards Controller_update

PATCH
/v1/custom-dashboards/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/custom-dashboards/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Custom Dashboards Controller_remove

DELETE
/v1/custom-dashboards/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/custom-dashboards/<string>" \
  -H "Authorization: Bearer <token>"

Custom Dashboards Controller_duplicate

POST
/v1/custom-dashboards/{id}/duplicate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/custom-dashboards/<string>/duplicate" \
  -H "Authorization: Bearer <token>"

Custom Dashboards Controller_add Widget

POST
/v1/custom-dashboards/{id}/widgets

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/custom-dashboards/<string>/widgets" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Custom Dashboards Controller_update Widget Positions

PUT
/v1/custom-dashboards/{id}/widgets/positions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PUT "https://api.salesos.org/v1/custom-dashboards/<string>/widgets/positions" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Custom Dashboards Controller_update Widget

PATCH
/v1/custom-dashboards/{id}/widgets/{widgetId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
widgetIdRequiredstring
curl -X PATCH "https://api.salesos.org/v1/custom-dashboards/<string>/widgets/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Custom Dashboards Controller_remove Widget

DELETE
/v1/custom-dashboards/{id}/widgets/{widgetId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
widgetIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/custom-dashboards/<string>/widgets/<string>" \
  -H "Authorization: Bearer <token>"